'
'
  _clkmode = _hw#_clkmode_
  _xinfreq = _hw#_xinfreq_

OBJ
  _hw   : "_hwdef"              'hardware pin definitions etc
  _hub  : "_hubdef"
  fdx   : "FullDuplexSerial"

VAR
  long  hubval[16]
  
PUB main  | ch
  fdx.start(31,30,0,115200)
  waitcnt(clkfreq/1000 * 2000 + cnt)                     ' delay 500ms

  hubval[0] := long[_hub#_HubFree]
  hubval[1] := long[_hub#_sdPins]
  hubval[2] := long[_hub#_sioPins]
  hubval[3] := long[_hub#_sioBaud]

  fdx.str(string("Hub Check",13))
  fdx.hex(hubval[0],8)
  crlf
  fdx.hex(hubval[1],8)
  crlf
  fdx.hex(hubval[2],8)
  crlf
  fdx.dec(hubval[3])
  crlf
  fdx.str(_hub#_stringBuffer)
  crlf
  ch := fdx.rx
  reboot  

PRI crlf
  fdx.tx(13)  


